Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.knipp.rritoolkit.message
Enum Message.Type

    java.lang.Object
      java.lang.Enum<Message.Type>
          de.knipp.rritoolkit.message.Message.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Message.Type>

Enclosing class:
  Message

    public static enum Message.Type

extends java.lang.Enum<Message.Type>

enumeration for the different message types

Version:
  $Revision: 15119 $
Author:
  Klaus Malorny

Enum Constant Summary
`AuthInfo2Delete` notification that an AuthInfo 2 has been deleted
`AuthInfo2Notify` notification that an AuthInfo 2 has been set for the given domain
`AuthInfoExpire` notification that the AuthInfo 1 of the given domain has expired
`ChangeProvAuthInfo` notification that a provider change via AuthInfo has taken place
`DeleteLegal` Deprecated.
`DomainDelete` notification that a domain has been deleted
`DomainExpire` notification that the given failed" domains have been deleted
`DomainExpireWarning` notification that the given "failed" domains will be deleted in near future

Field Summary
`private java.lang.String` | `denicToken` the DENIC token
`private static java.util.Map<java.lang.String,Message.Type>` | `tokenMap` map from the token to the type

Method Summary
`static Message.Type` | `fromToken(java.lang.String denicToken)` return the level for the given token
`java.lang.String` | `getDenicToken()` return the DENIC token
`static Message.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Message.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ChangeProvAuthInfo

    public static final Message.Type ChangeProvAuthInfo

  notification that a provider change via AuthInfo has taken place

### DomainExpire

    public static final Message.Type DomainExpire

  notification that the given failed" domains have been deleted

### DomainExpireWarning

    public static final Message.Type DomainExpireWarning

  notification that the given "failed" domains will be deleted in near future

### AuthInfoExpire

    public static final Message.Type AuthInfoExpire

  notification that the AuthInfo 1 of the given domain has expired

### AuthInfo2Notify

    public static final Message.Type AuthInfo2Notify

  notification that an AuthInfo 2 has been set for the given domain

### DeleteLegal

    @Deprecated
    public static final Message.Type DeleteLegal

  Deprecated.
  notification that a domain has been deleted

### DomainDelete

    public static final Message.Type DomainDelete

  notification that a domain has been deleted

### AuthInfo2Delete

    public static final Message.Type AuthInfo2Delete

  notification that an AuthInfo 2 has been deleted

Field Detail

### denicToken

    private java.lang.String denicToken

  the DENIC token

### tokenMap

    private static final java.util.Map<java.lang.String,Message.Type> tokenMap

  map from the token to the type

Method Detail

### values

    public static Message.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Message.Type c : Message.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Message.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDenicToken

    public java.lang.String getDenicToken()

  return the DENIC token

  Returns:
    the token

### fromToken

    public static Message.Type fromToken(java.lang.String denicToken)

  return the level for the given token

  Parameters:
    `denicToken` - the token
  Returns:
    the level, or `null` if the token is not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH